##
##  the.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2011 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 3.3rc1
%define       V_dist 3.3RC1

#   package information
Name:         the
Summary:      The Hessling Editor (THE)
URL:          http://hessling-editor.sourceforge.net/
Vendor:       Hessling
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Editor
License:      GPL
Version:      %{V_opkg}
Release:      20111211

#   list of sources
Source0:      http://switch.dl.sourceforge.net/hessling-editor/THE-%{V_dist}.tar.gz
Patch0:       the.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  regina
PreReq:       regina

%description
    The Hassling Editort (THE) is a powerful text editor modelled on
    the VM/CMS text editor XEDIT with the best features of Mansfield
    Software's Kedit. Like its relatives, THE uses Rexx as its
    macro language, which means that THE is a highly configurable
    and versatile editor. THE also has user-configurable syntax
    highlighting.

%track
    prog the = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/hessling-editor/files/
        regex     = THE-(\d+\.\d+(\.\d+)*(?:B\d+)?)\.tar\.gz
    }

%prep
    %setup -q -n THE-%{V_dist}
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-ncurses \
        --with-curseslibdir=%{l_prefix}/lib \
        --with-rexxlibdir=%{l_prefix}/lib \
        --with-rexx=regina
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    ln  $RPM_BUILD_ROOT%{l_prefix}/bin/nthe \
        $RPM_BUILD_ROOT%{l_prefix}/bin/the
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

